%global forgeurl    https://github.com/sile-typesetter/libtexpdf
%global commit      736a5e7530c13582ea704a061a358d0caa774916

%forgemeta

%global common_description %{expand:
libtexpdf is a PDF manipulation library used by the SILE typesetter.}

Name:           libtexpdf
Version:        0
Release:        %autorelease
Summary:        PDF manipulation library used by SILE typesetter

License:        GPL-2.0-only
URL:            %{forgeurl}
Source:         %{forgesource}
# Taken from https://github.com/sile-typesetter/libtexpdf/pull/26
# SOVERSION added
Patch:          0001-Add-meson-build-configuration.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)

%description %{common_description}

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%{common_description}

This subpackage contains libraries and header files for developing
applications that want to make use of %{name}.

%prep
%forgeautosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license LICENSE
%doc README.md
%{_libdir}/%{name}.so.0


%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
%autochangelog
